com.google.gwt.aria.client

## Enum SortValue

- java.lang.Object
- - java.lang.Enum<SortValue>
  - - com.google.gwt.aria.client.SortValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<SortValue>

    public enum SortValue
    extends java.lang.Enum<SortValue>
    implements AriaAttributeType

Property enum for 'aria-sort' values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCENDING`
`DESCENDING`
`NONE`
`OTHER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaValue()`
`static SortValue` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SortValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASCENDING

    public static final SortValue ASCENDING

#### DESCENDING

    public static final SortValue DESCENDING

#### NONE

    public static final SortValue NONE

#### OTHER

    public static final SortValue OTHER

### Method Detail

#### values

    public static SortValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SortValue c : SortValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SortValue valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getAriaValue

    public java.lang.String getAriaValue()

Specified by:
  `getAriaValue` in interface `AriaAttributeType`